Subject: Re: [Add] I-D Action: draft-ietf-add-dnr-06.txt

From: <[email-masked]>
Date: Wed, 6 Apr 2022 09:24:04 +0000

Hi all,

A candidate version that takes into account the pending WGLC comments, mainly from Chris and Ben, can be seen at: https://github.com/boucadair/draft-btw-add-home-network/blob/master/draft-ietf-add-dnr.txt.

The changes can be tracked at: https://tinyurl.com/latest-dnr-changes

The main changes are as follows:

  *   Relax the spec to allow returning an ADN only + reorder the fields to easily accommodate this case
  *   Indicate that ServiceMode SHOULD be used
  *   Add a list of recommended service parameters to be supported by DNR implementations
  *   Add some guidelines about minimal information to be supported in specific contexts where RA/DHCP are not used
  *   Add an explicit service priority field for RAs as well.

Please check this candidate version and let us know if you still have any comment.

Thank you.

Cheers,
Med

De : Add <[email-masked]> De la part de [email-masked]
Envoyé : mercredi 23 mars 2022 17:42
À : Ben Schwartz <bemasc=[email-masked]>; tirumal reddy <[email-masked]>
Cc : ADD Mailing list <[email-masked]>
Objet : Re: [Add] I-D Action: draft-ietf-add-dnr-06.txt

Hi Ben,

I think "SHOULD use ServiceMode” would be just OK.

Cheers,
Med

De : Add <[email-masked]<mailto:[email-masked]>> De la part de Ben Schwartz
Envoyé : mercredi 23 mars 2022 17:36
À : tirumal reddy <[email-masked]<mailto:[email-masked]>>
Cc : ADD Mailing list <[email-masked]<mailto:[email-masked]>>
Objet : Re: [Add] I-D Action: draft-ietf-add-dnr-06.txt

On Wed, Mar 23, 2022 at 5:06 AM tirumal reddy <[email-masked]<mailto:[email-masked]>> wrote:
Hi Ben,

Please see inline

On Tue, 22 Mar 2022 at 17:47, Ben Schwartz <bemasc=[email-masked]<mailto:[email-masked]>> wrote:
As I noted in my previous review, this draft is in violation of the IPv6 RA forming requirements: (https://www.rfc-editor.org/rfc/rfc4861#section-9):

   Options in Neighbor Discovery packets can appear in any order;
   receivers MUST be prepared to process them independently of their
   order.

By omitting the SvcPriority from the IPv6 RA option, this syntax becomes order-reliant, which is not allowed.  (My proposed syntax revision would avoid this problem.)

Our understanng is https://datatracker.ietf.org/doc/html/rfc8106 allows ordering of DNS information without an explicit preference field. We sent an mail to 6man WG to clarify whether our interpretation of RFC8106 is correct or not (please see https://mailarchive.ietf.org/arch/msg/ipv6/qeSwxWBoPTOs0fzyaSBzUC2g-sc/).

Thanks.  I've sent a followup mentioning RFC 4861.

I also note that this draft now says

   AliasMode (Section 2.4.2 of [I-D.ietf-dnsop-svcb-https]) is not
   supported because such a mode will trigger additional Do53 queries
   while the data can be supplied directly by DHCP servers.

I don't think we should impose this restriction.  As I noted in my previous review, it is easy to identify deployments where additional Do53 queries would be highly preferable, instead of trying to distribute all of this information via DHCP.  Do53 followup seems straightforward, since it is exactly name-based DDR and is likely to be implemented in the same codebase, but it could be made optional if this is a concern.

We intended to avoid the Do53 look-up to avoid the possibility of an external attack, additional lookup and relying on unencrypted DNS for bootstrapping. The same reasons for adding IP addresses to the DHCP option.

Yes, I think it's reasonable to prefer ServiceMode and specified IP addresses.

However, I see your point that a deployment may want to move the complexity to the client. We can update the draft to replace "MUST NOT" with "SHOULD NOT" and add the reason for allowing AliasMode.

I'm not sure "SHOULD NOT" is appropriate (as I said, there are cases where it is likely preferable).  Perhaps "SHOULD use ServiceMode if possible".  Regardless, note that this requires* including SvcPriority in the IPv6 Neighbor Discovery DNR Option.

*Unless you want to diverge further from the SVCB specification and do something Very Clever.

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc

pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler

a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,

Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;

they should not be distributed, used or copied without authorisation.

If you have received this email in error, please notify the sender and delete this message and its attachments.

As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.

Thank you.

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: <[email-masked]>
Date: Wed, 13 Apr 2022 08:14:26 +0000

Hi all,

As we didn’t receive any follow-up, we will proceed with the submission of the candidate version.

Cheers,
Med

De : Add <[email-masked]> De la part de [email-masked]
Envoyé : mercredi 6 avril 2022 11:24
À : Ben Schwartz <bemasc=[email-masked]>; Chris Box <[email-masked]>; ADD Mailing list <[email-masked]>
Objet : Re: [Add] I-D Action: draft-ietf-add-dnr-06.txt

Hi all,

Thank you.

Cheers,
Med

De : Add <[email-masked]<mailto:[email-masked]>> De la part de [email-masked]<mailto:[email-masked]>
Envoyé : mercredi 23 mars 2022 17:42
À : Ben Schwartz <bemasc=[email-masked]<mailto:bemasc=[email-masked]>>; tirumal reddy <[email-masked]<mailto:[email-masked]>>
Cc : ADD Mailing list <[email-masked]<mailto:[email-masked]>>
Objet : Re: [Add] I-D Action: draft-ietf-add-dnr-06.txt

Hi Ben,

Cheers,
Med

Please see inline

Thank you.

Thank you.